diff -r -N -u a/debian/control b/debian/control
--- a/debian/control	2019-12-15 03:47:43.000000000 +0900
+++ b/debian/control	2020-01-05 23:10:06.035727253 +0900
@@ -82,6 +82,7 @@
  libgcrypt20-dev,
  fonts-ipafont-gothic,
  fonts-ipafont-mincho,
+ libx11-xcb-dev
 
 Package: chromium
 Architecture: i386 amd64 arm64 armhf
diff -r -N -u a/debian/copyright b/debian/copyright
--- a/debian/copyright	2019-12-15 03:47:43.000000000 +0900
+++ b/debian/copyright	2020-01-01 20:02:46.319322326 +0900
@@ -37,7 +37,6 @@
  chrome/installer/launcher_support
  chrome/common/extensions/docs
  chrome/common/safe_browsing/rar_analyzer.*
- chrome/browser/tracing
  chrome/browser/resources/chromeos
  chrome/browser/resources/default_apps
  chrome/test/data/android
@@ -45,7 +44,6 @@
  chrome/test/data/extensions
  chrome/test/data/webui/i18n_process_css_test.html
  chrome/chrome_cleaner/test/resources/signed_dll
- services/tracing
  tools/emacs
  tools/luci-go
  tools/android
@@ -116,7 +114,6 @@
  third_party/expat/src
  third_party/*rjsmin/bench
  third_party/unrar
- third_party/perfetto
  third_party/checkstyle
  third_party/swiftshader
  third_party/apache-win32
@@ -150,23 +147,6 @@
  third_party/devtools-node-modules
  third_party/blanketjs/src/blanket.js
  third_party/accessibility-audit/axs_testing.js
- third_party/catapult/tracing
- third_party/catapult/third_party/flot
- third_party/catapult/third_party/chai
- third_party/catapult/third_party/vinn
- third_party/catapult/third_party/mocha
- third_party/catapult/third_party/coverage
- third_party/catapult/third_party/polymer2
- third_party/catapult/third_party/polymer3
- third_party/catapult/third_party/polymer/components
- third_party/catapult/third_party/d3/d3.min.js
- third_party/catapult/third_party/redux/redux.min.js
- third_party/catapult/experimental/heatmap/power.js
- third_party/catapult/experimental/heatmap/smoothness.js
- third_party/catapult/experimental/trace_on_tap/third_party/pako/pako_deflate.min.js
- third_party/catapult/third_party/gsutil
- third_party/catapult/third_party/Paste/paste/evalexception/media/MochiKit.packed.js
- third_party/catapult/telemetry/telemetry/internal/testing/perf_report_output.txt
  third_party/webrtc/sdk
  third_party/webrtc/data
  third_party/webrtc/examples
diff -r -N -u a/debian/patches/series b/debian/patches/series
--- a/debian/patches/series	2019-12-15 03:47:43.000000000 +0900
+++ b/debian/patches/series	2020-01-02 17:32:16.998129815 +0900
@@ -39,11 +39,9 @@
 disable/signin.patch
 disable/android.patch
 disable/fuzzers.patch
-disable/tracing.patch
 disable/openh264.patch
 disable/buildbot.patch
 disable/chromeos.patch
-disable/perfetto.patch
 disable/installer.patch
 disable/font-tests.patch
 disable/swiftshader.patch
@@ -81,3 +79,4 @@
 
 buster/icu63.patch
 buster/vpx17.patch
+system/force_system_zlib.patch
diff -r -N -u a/debian/patches/system/force_system_zlib.patch b/debian/patches/system/force_system_zlib.patch
--- a/debian/patches/system/force_system_zlib.patch	1970-01-01 09:00:00.000000000 +0900
+++ b/debian/patches/system/force_system_zlib.patch	2020-01-02 17:37:30.344621702 +0900
@@ -0,0 +1,11 @@
+--- a/third_party/perfetto/gn/BUILD.gn
++++ b/third_party/perfetto/gn/BUILD.gn
+@@ -305,7 +305,7 @@
+         "//buildtools:zlib",
+       ]
+     } else {
+-      public_configs = [ "//third_party/zlib:zlib_config" ]
++      public_configs = [ "//third_party/zlib:system_zlib" ]
+       public_deps = [
+         "//third_party/zlib",
+       ]
diff -r -N -u a/debian/rules b/debian/rules
--- a/debian/rules	2019-12-15 03:47:43.000000000 +0900
+++ b/debian/rules	2020-01-01 20:02:46.319322326 +0900
@@ -199,16 +199,14 @@
 	patch -p1 < debian/scripts/mk-origtargz.patch
 	date +%s > $(seconds)
 	perl debian/scripts/mk-origtargz ../$(tarball) > $(removed)
+	echo $(extract)/third_party/perfetto/ui/src/gen >> $(removed)
 	echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
 	test ! -e $(extract) || rm -rf $(extract)
 	tar xf ../$(tarball)
 	echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
-	while read line; do rm -rf $$line; done < $(removed)
+	xargs rm -rf < $(removed)
 	cd $(extract) && ../debian/scripts/check-upstream
-	echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
-	test ! -e $(origtxz) || rm -f $(origtxz)
-	tar cf - $(extract) | xz -6 -T $(njobs) - > $(origtxz)
-	echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
-	rm -rf $(extract)
 	echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds | tee seconds
 	@mv -f seconds $(seconds)
+	test ! -e $(extract)/debian || rm -rf $(extract)/debian
+	cp -r debian $(extract)/.
